#!/usr/bin/env python

from moinformat import parse
from moinformat.serialisers import serialise, HTMLSerialiser

sl = []

sl.append("""\
Hello
{{{{#!wiki
A region
  {{{
Another
}}}
End
}}}}
XXX

 * Item 1
 * Item 2
XXX
""")

sl.append("""\
Hello
{{{{#!xxx
A region
{{{
Another
}}}
End
}}}}
XXX
""")

sl.append("""\
Hello
{{{{
Start
}}}
Still in region
}}}}
End
""")

sl.append("""\
Hello {{{world}}} again""")

sl.append("""\
XXX

YYY""")

sl.append("""\
XXX
----
YYY
 ----still a rule
also still a rule----
EOF""")

sl.append("""\
= Level 1 =
Text
  == Level 2 Heading ==  
Text
Not == a heading ==
== Not a heading == either
= Mismatched heading ==
== Another mismatched heading =
""")

dl = map(parse, sl)
nl = map(serialise, dl)

for s, n in zip(sl, nl):
    print n == s
    print "----"
    print n
    print "----"

for d in dl:
    print
    print "----"
    print serialise(d, HTMLSerialiser)
    print "----"

for d in dl:
    print
    print "----"
    print d.prettyprint()
    print "----"

# vim: tabstop=4 expandtab shiftwidth=4
